package production

import "shylinux.com/x/ice"

type story struct{ Table }

func init() { ice.TeamCtxCmd(story{}) }

type StoryType int

const (
	StoryCustom StoryType = iota
	StoryEnterprise
	StoryIndustry
	StoryMilitary
	StorySystem
)

var StoryTypeList = map[StoryType]string{
	StoryCustom:     "custom",
	StoryEnterprise: "enterprise",
	StoryIndustry:   "industry",
	StoryMilitary:   "military",
	StorySystem:     "system",
}

func (s StoryType) String() string { return StoryTypeList[s] }
